TektonResult [operator.tekton.dev/v1alpha1]

Description
TektonResult is the Schema for the tektonresults API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

TektonResultSpec defines the desired state of TektonResult

statusobject

TektonResultStatus defines the observed state of TektonResult

.spec

Description
TektonResultSpec defines the desired state of TektonResult
Type
object
Required
is_external_dboptions
PropertyTypeDescription
auth_disableboolean
auth_impersonateboolean
db_enable_auto_migrationboolean
db_hoststring
db_namestring
db_portinteger
db_sslmodestring
db_sslrootcertstring
gcs_bucket_namestring
gcs_creds_secret_keystring
gcs_creds_secret_namestring
is_external_dbboolean
log_levelstring
logging_plugin_api_urlstring
logging_plugin_ca_certstring
logging_plugin_forwarder_delay_durationinteger
logging_plugin_namespace_keystring
logging_plugin_proxy_pathstring
logging_plugin_query_limitinteger
logging_plugin_query_paramsstring
logging_plugin_static_labelsstring
logging_plugin_tls_verification_disableboolean
logging_plugin_token_pathstring
logging_pvc_namestring
logs_apiboolean
logs_buffer_sizeinteger
logs_pathstring
logs_typestring
loki_stack_namestring
loki_stack_namespacestring
optionsobject

Options holds additions fields and these fields will be updated on the manifests

prometheus_histogramboolean
prometheus_portinteger
secret_namestring

name of the secret used to get S3 credentials and pass it as environment variables to the "tekton-results-api" deployment under "api" container

server_portinteger
storage_emulator_hoststring
targetNamespacestring

TargetNamespace is where resources will be installed

tls_hostname_overridestring

.spec.options

Description
Options holds additions fields and these fields will be updated on the manifests
Type
object
PropertyTypeDescription
configMapsobject
deploymentsobject
disabledboolean
horizontalPodAutoscalersobject
statefulSetsobject
webhookConfigurationOptionsobject

.spec.options.configMaps

Type
object

.spec.options.deployments

Type
object

.spec.options.horizontalPodAutoscalers

Type
object

.spec.options.statefulSets

Type
object

.spec.options.webhookConfigurationOptions

Type
object

.status

Description
TektonResultStatus defines the observed state of TektonResult
Type
object
PropertyTypeDescription
annotationsobject

Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

conditionsarray

Conditions the latest available observations of a resource's current state.

observedGenerationinteger

ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

tektonInstallerSetstring

The current installer set name for TektonResult

versionstring

The version of the installed release

.status.annotations

Description
Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
Type
object

.status.conditions

Description
Conditions the latest available observations of a resource's current state.
Type
array

.status.conditions[]

Description
Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
Type
object
Required
statustype
PropertyTypeDescription
lastTransitionTimestring

LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

messagestring

A human readable message indicating details about the transition.

reasonstring

The reason for the condition's last transition.

severitystring

Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

statusstring

Status of the condition, one of True, False, Unknown.

typestring

Type of condition.

API Endpoints

The following API endpoints are available:

  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults
    • DELETE: delete collection of TektonResult
    • GET: list objects of kind TektonResult
    • POST: create a new TektonResult
  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}
    • DELETE: delete the specified TektonResult
    • GET: read the specified TektonResult
    • PATCH: partially update the specified TektonResult
    • PUT: replace the specified TektonResult
  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}/status
    • GET: read status of the specified TektonResult
    • PATCH: partially update status of the specified TektonResult
    • PUT: replace status of the specified TektonResult

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults

HTTP method
DELETE
Description
delete collection of TektonResult
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind TektonResult
HTTP responses
HTTP codeResponse body
200 - OKTektonResultList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new TektonResult
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonResult schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
201 - CreatedTektonResult schema
202 - AcceptedTektonResult schema
401 - UnauthorizedEmpty

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}

HTTP method
DELETE
Description
delete the specified TektonResult
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified TektonResult
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified TektonResult
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified TektonResult
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonResult schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
201 - CreatedTektonResult schema
401 - UnauthorizedEmpty

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}/status

HTTP method
GET
Description
read status of the specified TektonResult
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified TektonResult
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified TektonResult
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonResult schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonResult schema
201 - CreatedTektonResult schema
401 - UnauthorizedEmpty